# std::regex_traits::regex_traits

From cppreference.com
< cpp‎ | regex‎ | regex traits

regex_traits(); |  |

Default-constructs the std::regex_traits object, including default-constructing the private std::locale member or any other internal state as necessary.

### Parameters

(none)

### Return value

(none)

### Example

Run this code

    #include <iostream>
    #include <regex>

    int main()
    {
        std::locale::global(std::locale("en_US.utf8"));
        std::regex_traits<char> r1;
        std::regex_traits<wchar_t> r2;
        std::cout << "The regex locale is " << r1.getloc().name() << '\n';
    }

Output:

    The regex locale is en_US.utf8

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/regex/regex_traits/regex_traits&oldid=51150"